LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 07-27-2006, 01:07 PM   #1
NightSoul
LQ Newbie
 
Registered: Nov 2005
Location: Lithuania
Distribution: Slackware 10.2
Posts: 29

Rep: Reputation: 15
Unhappy VerliHub on Slackware? :-/


Can't compile, when configuring got error:
checking for noapos_pcre... ./noapos_pcre
checking for PCRE CFLAGS... -I/usr/local/include
checking for PCRE LIBS... -L/usr/local/lib -lpcre
checking for PCRE VERSION... 6.7
checking for PCRE - version >= 3.0.0... no
*** The test program failed to compile or link. See the file
*** config.log for the exact error that occured. This usually
*** means PCRE was not installed, was incorrectly installed
*** or that you have moved PCRE since it was installed. In
*** the latter case, you may want to edit the $ac_path_lib_pcre_config
*** script: $PCRE_CONFIG
Instal pcre devel

PCRE installed, on slackware there is no any pcre devel package, tryed to compile and install pcre from source, the same. Tryed to talk with some people, they tryed to help, but can't, they also don't know why it don't compile. Maybe somepone can halp? Thanks!

verlihub-0.9.8c-RC2 - Last
Slackware Current
Kernel 2.6
 
Old 07-27-2006, 01:54 PM   #2
raskin
Senior Member
 
Registered: Sep 2005
Location: France
Distribution: approximately NixOS (http://nixos.org)
Posts: 1,900

Rep: Reputation: 69
post config.log here, for the beginning...
 
Old 07-27-2006, 05:57 PM   #3
NightSoul
LQ Newbie
 
Registered: Nov 2005
Location: Lithuania
Distribution: Slackware 10.2
Posts: 29

Original Poster
Rep: Reputation: 15
http://bash.negative.lt/config.log
 
Old 07-27-2006, 06:14 PM   #4
raskin
Senior Member
 
Registered: Sep 2005
Location: France
Distribution: approximately NixOS (http://nixos.org)
Posts: 1,900

Rep: Reputation: 69
Oops. Really strange. Do you have MYSQL_CFLAGS in your environment? Don't you want to try gcc 3.4.3 (really there is gcc error, for some cryptic reasons -mtune=i686 option from MYSQL_CFLAGS is misinterpreted)? What does "grep MYSQL_FLAGS -r /path/to/build" give?
 
Old 07-27-2006, 06:46 PM   #5
NightSoul
LQ Newbie
 
Registered: Nov 2005
Location: Lithuania
Distribution: Slackware 10.2
Posts: 29

Original Poster
Rep: Reputation: 15
Yeeeeeeeeeeeeeeeeeessssss, you right, upgradet gcc to 3.4.6 packages and everything ok, thank you man!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
About Slackware 9.1 boot disk?? ftp://ftp.kpn.be/pub/linux/slackware/slackware-9.1-is AL3OMDAH Slackware 4 04-18-2007 10:54 AM
using older slackware package for newer slackware. Is it problematic? hottdogg Slackware 2 12-13-2005 04:57 AM
Trying to install verlihub z9_87 Linux - Software 0 10-19-2005 06:20 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 04:05 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration